.video-container {
  width: 100%;
  height: 100%;
  position: relative;
  user-select: none;
  color: var(--color-E);
  font-family: "Roboto", sans-serif;
  cursor: default;
  background-color: var(--color-C);
}

.video-bottle {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;
  height: 100%;
}

.video {
  width: auto;
  height: 110%;
}

.videoAdjust {
  height: 100%;
}

.video-spinner {
  position: absolute;
  display: none;
  top: 50%;
  left: 50%;
  margin: -25px 0 0 -25px;
  width: 50px;
  height: 50px;
  animation: rotate 2s linear infinite;
}

.video-spinner circle {
  stroke: var(--color-B);
  stroke-linecap: round;
  animation: dash 1.5s ease-in-out infinite;
}

.video-bezel {
  position: absolute;
  left: 50%;
  top: 50%;
  width: 52px;
  height: 52px;
  z-index: 20;
  margin-left: -26px;
  margin-top: -26px;
  font-family: "Material Icons";
  font-size: 1.5em;
  background: rgba(0, 0, 0, 0.5);
  display: none;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  animation: bezel-fadeout 0.5s linear 1 normal forwards;
  pointer-events: none;
}

.video-controls-gradient {
  visibility: visible;
  position: absolute;
  bottom: 0;
  z-index: 10;
  width: 100%;
  height: 100px;
  padding-top: 0px;
  background-position: bottom;
  background-image: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAADGCAYAAAAT+OqFAAAAdklEQVQoz42QQQ7AIAgEF/T/D+kbq/RWAlnQyyazA4aoAB4FsBSA/bFjuF1EOL7VbrIrBuusmrt4ZZORfb6ehbWdnRHEIiITaEUKa5EJqUakRSaEYBJSCY2dEstQY7AuxahwXFrvZmWl2rh4JZ07z9dLtesfNj5q0FU3A5ObbwAAAABJRU5ErkJggg==);
  background-repeat: repeat-x;
  opacity: 0;
  transition: opacity .2s cubic-bezier(0.0,0.0,0.2,1);
  pointer-events: none;
}

.video-controls-container {
  position: absolute;
  left: 1em;
  right: 1em;
  bottom: 10px;
  height: 46px;
  padding-top: 10px;
  z-index: 20;
  opacity: 0;
  transition: opacity .2s cubic-bezier(0.0,0.0,0.2,1);
}

.video-tooltip {
  position: absolute;
  bottom: 50px;
  padding: 5px 9px;
  font-size: 0.75em;
  border-radius: 2px;
  background: rgba(28, 28, 28, 0.9);
  display: none;
}

.video-progress-container {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 35px;
  height: 5px;
  cursor: pointer;
}

.video-progress-padding {
  position: absolute;
  width: 100%;
  height: 16px;
  bottom: 0;
  z-index: 28;
}

.video-progress-list {
  position: relative;
  width: 100%;
  height: 5px;
  background: rgba(255, 255, 255, 0.2);
  transform: scaleY(0.7);
  transition: transform 0.1s ease;
}

.video-progress-bar {
  position: absolute;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 0px 0px;
  transform-origin: 0 0;
  transform: scaleX(0);
}

.video-progress-play {
  height: 100%;
  background: var(--color-E);
  z-index: 30;
}

.video-progress-load {
  height: 100%;
  background: rgba(255, 255, 255, 0.4);
  z-index: 10;
}

.video-progress-hover {
  height: 5px;
  background: rgba(255, 255, 255, 0.5);
  z-index: 20;
  opacity: 0;
  transition: opacity 0.2s ease;
}

.video-scrubber {
  position: absolute;
  width: 12px;
  height: 12px;
  bottom: -4px;
  transform: translateX(-50%) scale(0);
  background: var(--color-E);
  border-radius: 50%;
  transition: transform 0.2s ease;
}

.video-progress-container:hover .video-progress-padding,
.video-progress-container.active .video-progress-padding {
  height: 22px;
  bottom: -6px;
}

.video-progress-container:hover .video-progress-list,
.video-progress-container.active .video-progress-list {
  transform: scaleY(1);
}

.video-progress-container:hover .video-progress-list .video-progress-hover,
.video-progress-container.active .video-progress-list .video-progress-hover {
  opacity: 1;
}

.video-progress-container:hover .video-scrubber,
.video-progress-container.active .video-scrubber {
  transform: translateX(-50%) scale(1);
}

.video-controls {
  display: flex;
  flex-direction: row;
  padding: 5px 10px 0px 10px;
  width: 100%;
  height: 36px;
  line-height: 36px;
  align-items: center;
  background: transparent;
}

.video-controls-left {
  flex: auto;
  display: flex;
  flex-direction: row;
  align-items: left;
  height: 100%;
}

.video-controls.right {
  align-items: right;
}

.video-control {
  cursor: pointer;
  height: 100%;
  margin: 0 0.2em;
}

.video-control-icon {
  font-family: "Material Icons";
  font-size: 1.5em;
}

.video-control-volume-container {
  display: flex;
  align-items: center;
}

.video-control-volume-container:hover .video-volume-slider,
.video-control-volume-container.active .video-volume-slider {
  width: 55px;
}

.video-volume-slider {
  position: relative;
  width: 0;
  height: 100%;
  transition: width 0.2s ease;
  overflow: hidden;
}

.video-volume-slider .video-volume-slider-scrubber {
  position: absolute;
  top: 50%;
  width: 12px;
  height: 12px;
  margin-top: -4px;
  background: var(--color-E);
  border-radius: 50%;
}

.video-volume-slider-scrubber::before,
.video-volume-slider-scrubber::after {
  content: '';
  position: absolute;
  top: 4px;
  width: 50px;
  height: 4px;
  /* left: 50%;
  margin-left: -50px;
  border-radius: 50%; */
  background: var(--color-E);
  opacity: 0.2;
}

.video-volume-slider-scrubber::before {
  right: 50%;          
  opacity: 1;
}

.video-volume-slider-scrubber::after {
  left: 50%;           
  opacity: 0.2;
}

.video-volume-slider-played {
  height: 4px;
  margin: 16px 6px;
  background: var(--color-B);
  transform-origin: 0 0;
  transform: scaleX(0);
}

.video-container.active .video-controls-gradient,
.video-container.active .video-controls-container {
  opacity: 1;
}

.video-container.buffering .video-spinner {
  display: block;
}

.video-loading-bar {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 0;
  height: 2px;
  background: var(--color-B);
  z-index: 9999;
}

.video-play-button {
  position: absolute;
  left: 50%;
  top: 50%;
  width: 60px;
  height: 60px;
  margin-left: -30px;
  margin-top: -30px;
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 50%;
  cursor: pointer;
}

.video-play-icon {
  position: absolute;
  left: 50%;
  top: 50%;
  margin-left: -12px;
  margin-top: -12px;
  border-color: transparent transparent transparent #fff;
  border-width: 12px 0 12px 18px;
  border-style: solid;
  pointer-events: none;

}

.video-play-button:hover .video-play-icon {
  border-left-color: var(--color-B);
}

@keyframes rotate {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes dash {
  0% {
    stroke-dasharray: 1, 200;
    stroke-dashoffset: 0;
  }

  50% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -35px;
  }

  100% {
    stroke-dasharray: 89, 200;
    stroke-dashoffset: -124px;
  }
}

@keyframes bezel-fadeout {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

@media screen and (max-width: 450px) {
  
  /* mobile */
  
  .video-container {
    color: transparent;
  }

  .video-controls-gradient {
    visibility: hidden;
  }

  .video {
    width: 100%;
    height: auto;
  }
}